package com.prank.sounds.fart.myadapter;

import android.content.Context;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.core.content.ContextCompat;
import androidx.recyclerview.widget.RecyclerView;

import com.bumptech.glide.Glide;
import com.prank.sounds.fart.activity.InfoAct;
import com.prank.sounds.fart.bean.MyBean;
import com.prank.sounds.fart.databinding.RecyclerHomeBinding;
import com.prank.sounds.fart.tools.MyUtils;

import java.util.List;


public class AdapterHome extends RecyclerView.Adapter<AdapterHome.ViewHolder> {

    private final List<MyBean> mValues;

    private Context mCon;


    public AdapterHome(Context context, List<MyBean> items) {
        mValues = items;
        this.mCon = context;
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {

        return new ViewHolder(RecyclerHomeBinding.inflate(LayoutInflater.from(parent.getContext()), parent, false));

    }

    @Override
    public void onBindViewHolder(final ViewHolder holder, int position) {
        int i = position % 6;
        holder.vb.relative.setBackground(ContextCompat.getDrawable(mCon, MyUtils.bgs[i]));
        MyBean myBean = mValues.get(position);
        String covert = myBean.getCovert();
        Glide.with(mCon).load(covert).into(holder.vb.image);
        holder.vb.name.setText(myBean.getName());
        holder.vb.relative.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(mCon, InfoAct.class);
                intent.putExtra(MyUtils.KEY_LIST_DATA, myBean);
                intent.putExtra(MyUtils.KEY_LIST_COLOR_POS, i);
                mCon.startActivity(intent);
            }
        });
        if(position == mValues.size()-1||position == mValues.size()-2){
            holder.vb.view.setVisibility(View.VISIBLE);
        }else {
            holder.vb.view.setVisibility(View.GONE);
        }

    }

    @Override
    public int getItemCount() {
        return mValues.size();
    }

    public class ViewHolder extends RecyclerView.ViewHolder {

        private RecyclerHomeBinding vb;

        public ViewHolder(RecyclerHomeBinding binding) {
            super(binding.getRoot());
            vb = binding;

        }
    }
}